org.apache.mina.example.echoserver.ssl

## Class BogusSslContextFactory

- java.lang.Object
- - org.apache.mina.example.echoserver.ssl.BogusSslContextFactory

-     public class BogusSslContextFactory
      extends Object

  Factory to create a bogus SSLContext.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BogusSslContextFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSLContext` | `getInstance(boolean server)` Get SSLContext singleton.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BogusSslContextFactory

          public BogusSslContextFactory()

  - ### Method Detail

    - #### getInstance

          public static SSLContext getInstance(boolean server)
                                        throws GeneralSecurityException

      Get SSLContext singleton.
      Returns:
        SSLContext
      Throws:
        `GeneralSecurityException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.